Subject: Re: [TR] Triumphs Digest, Vol 13, Issue 120

From: Bob Leaver <[email-masked]>
Date: Thu, 14 May 2020 19:01:18 -0600

I think I have found the problem with my fast idle. I used propane
with a small metal straw like attachment to move around all the places
that might leak, all gaskets, manifold, throttle shaft, all areas on
the carb. None of them showed any increase in rpm therefore it must
have had a problem elsewhere. I've disconnected the coupling rod so
only one carb works. I took the carb off again for about the 5th time
to reexamine the throttle discs. As I shined a light up the bottom
pushing up the piston and checked out the discs I noticed more light
than seems good. I loosened the screws and tinkered with the discs to
try and adjust them so there was less light. I managed to get them
adjusted pretty well. I put all back together again and whala the idle
came down to where it should be. I'm so glad I didn't have to buy the
reamer. I appreciate all the help you gave me. Thanks!!!

On Wed, May 13, 2020 at 12:36 PM <[email-masked]> wrote:
>
> Send Triumphs mailing list submissions to
>         [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>         http://autox.team.net/mailman/listinfo/triumphs
> or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
> You can reach the person managing the list at
>         [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Triumphs digest..."
> Today's Topics:
>
>    1. Ideas, anyone? (andrew uprichard)
>    2. fast idle problem (Bob Leaver)
>    3. Re: fast idle problem (andrew uprichard)
>    4. Re: fast idle problem (Dave Connitt)
>    5. Re: fast idle problem (William Pugh)
>    6. Re: Ideas, anyone? (Dave)
>    7. Re: fast idle problem (Mark J Bradakis)
>    8. Re: fast idle problem (Brian Kemp)
>    9. Re: fast idle problem (DAVID MASSEY)
>   10. Re: fast idle problem (Jack McGahey)
>   11. Re: fast idle problem (Jack McGahey)
>   12. Re: Ideas, anyone? (Jeff Scarbrough)
>   13. Re: fast idle problem (Michael Marr)
>   14. Re: fast idle problem (bill beecher)
>   15. Re: fast idle problem (bill beecher)
>   16. Re: Ideas, anyone? (Greg Lemon)
>   17. Re: Ideas, anyone? (Don Hiscock)
>   18. Re: fast idle problem (Cliff Hansen)
>   19. Re: Ideas, anyone? (Alex & Janet Thomson)
>   20. Re: Ideas, anyone? (andrew uprichard)
>   21. Re: fast idle problem (EDWARD WOODS)
>   22. Re: Ideas, anyone? (TERRY SMITH)
>   23. Re: fast idle problem (TERRY SMITH)
>   24. Randall Young (TR3 driver) (andrew uprichard)
>
>
>
> ---------- Forwarded message ----------
> From: andrew uprichard <[email-masked]>
> To: <[email-masked]>
> Cc:
> Bcc:
> Date: Tue, 12 May 2020 17:54:29 -0400
> Subject: [TR] Ideas, anyone?
>
> Having (I think) sorted out the problem with the TR4, I took a recently-finished TR3B out for its second inaugural drive.
>
>
>
> The first inaugural drive went pretty well, but once the engine temp came up, the oil pressure fell like a stone – and here we are talking around 40psi at 3000rpm and almost nothing at (what was hot) idle. Adjusting the pressure with the screw on the oil filter head did nothing.
>
>
>
> I checked everything over, even pulled the oil pan and checked all the bearings (one main and 4 rods) – all perfect.  I really didn’t find anything, and the specs on the oil pump looked good, but I ordered a new pump as well as a new spring for the Purolator oil filter head (the valve itself is no longer obtainable).
>
>
>
> So today when I first took it out, the pressure was almost too high – around 90 at 3000 rpm.  But as soon as the engine warmed up, it again dropped to scary levels. No leaks, no oil in water or vice versa.
>
>
>
> I am running out of ideas here.  Could it be a bad oil filter head?  Anything else?
>
>
>
> Andrew Uprichard
>
> Jackson, Michigan
>
>
>
>
> ---------- Forwarded message ----------
> From: Bob Leaver <[email-masked]>
> To: [email-masked]
> Cc:
> Bcc:
> Date: Tue, 12 May 2020 15:58:26 -0600
> Subject: [TR] fast idle problem
> I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't
> get the idle below about 1500. I've tried all the screws and checked
> all gaskets and nothing. The only possibility I can come up with is
> air getting around the shafts. When rebuilding the cars I didn't
> replace the shafts because I didn't have a reamer. Moss has a reamer
> for $290.00. I looked on line and can't find a less expensive
> replacement. The book states the size of the reamer is 5/16" +
> 0.0105". What kind of measurement is this? Can you use a 5/16" reamer?
> Does anyone have ideas how I can get the idle down? Does anyone know
> of a cheaper reamer to use? Thanks, Bob
>
>
>
>
> ---------- Forwarded message ----------
> From: andrew uprichard <[email-masked]>
> To: "'Bob Leaver'" <[email-masked]>
> Cc: <[email-masked]>
> Bcc:
> Date: Tue, 12 May 2020 18:52:11 -0400
> Subject: Re: [TR] fast idle problem
> What if you push the shaft down manually?  Is it maybe just stiff or getting
> caught up?  And is your timing correct?
>
> Andrew Uprichard
> Jackson, Michigan
>
> -----Original Message-----
> From: Triumphs <[email-masked]> On Behalf Of Bob Leaver
> Sent: Tuesday, May 12, 2020 5:58 PM
> To: [email-masked]
> Subject: [TR] fast idle problem
>
> I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't get
> the idle below about 1500. I've tried all the screws and checked all gaskets
> and nothing. The only possibility I can come up with is air getting around
> the shafts. When rebuilding the cars I didn't replace the shafts because I
> didn't have a reamer. Moss has a reamer for $290.00. I looked on line and
> can't find a less expensive replacement. The book states the size of the
> reamer is 5/16" + 0.0105". What kind of measurement is this? Can you use a
> 5/16" reamer?
> Does anyone have ideas how I can get the idle down? Does anyone know of a
> cheaper reamer to use? Thanks, Bob
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
>
> Unsubscribe/Manage:
> http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
>
> ---------- Forwarded message ----------
> From: Dave Connitt <[email-masked]>
> To: Bob Leaver <[email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Tue, 12 May 2020 19:09:54 -0400
> Subject: Re: [TR] fast idle problem
> Bob, you might contact Joe Curto? He rebushed and fitted new throttle shafts in my SU’s several years ago and it was less than $300.00. Plus he has done it before (grin)
> Dave Connitt
>
> Sent from my iPhone
>
> > On May 12, 2020, at 6:27 PM, Bob Leaver <[email-masked]> wrote:
> >
> > I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't
> > get the idle below about 1500. I've tried all the screws and checked
> > all gaskets and nothing. The only possibility I can come up with is
> > air getting around the shafts. When rebuilding the cars I didn't
> > replace the shafts because I didn't have a reamer. Moss has a reamer
> > for $290.00. I looked on line and can't find a less expensive
> > replacement. The book states the size of the reamer is 5/16" +
> > 0.0105". What kind of measurement is this? Can you use a 5/16" reamer?
> > Does anyone have ideas how I can get the idle down? Does anyone know
> > of a cheaper reamer to use? Thanks, Bob
> > ** [email-masked] **
> >
> > Donate: http://www.team.net/donate.html
> > Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
> >
> > Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
>
> ---------- Forwarded message ----------
> From: William Pugh <[email-masked]>
> To: Bob Leaver <[email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Tue, 12 May 2020 16:24:04 -0700
> Subject: Re: [TR] fast idle problem
> There is a great book (How to repair your Foreign Car) Chapter 13
>
> “Carburetor”  Is  French Word Meaning
>
> “Leave it alone”
>
> One last thing (for all) if you   really want to improve the handling’s of a TR6 … install a Rear Sway Bar … installation is not simple but can be done in a day and That will blow your mind.
>
>
>
> On May 12, 2020, at 2:58 PM, Bob Leaver <[email-masked]> wrote:
>
> I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't
> get the idle below about 1500. I've tried all the screws and checked
> all gaskets and nothing. The only possibility I can come up with is
> air getting around the shafts. When rebuilding the cars I didn't
> replace the shafts because I didn't have a reamer. Moss has a reamer
> for $290.00. I looked on line and can't find a less expensive
> replacement. The book states the size of the reamer is 5/16" +
> 0.0105". What kind of measurement is this? Can you use a 5/16" reamer?
> Does anyone have ideas how I can get the idle down? Does anyone know
> of a cheaper reamer to use? Thanks, Bob
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
>
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
> Life is too short
> to drive Boring Cars
>
>
>
>
>
>
> ---------- Forwarded message ----------
> From: Dave <[email-masked]>
> To: andrew uprichard <[email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Tue, 12 May 2020 16:31:44 -0700
> Subject: Re: [TR] Ideas, anyone?
> Have you compared to another gauge?  Maybe inline running the dash gauge too.
> I have heard that a badly worn front cam bearing can cause low oil pressure issues.  This bearing doesn't usually get replaced during a rebuild, even when the other cam bearings do, but they can get heavy wear.
> Dave H.
>
> Sent from my iPad
>
> On May 12, 2020, at 2:54 PM, andrew uprichard <[email-masked]> wrote:
>
> Having (I think) sorted out the problem with the TR4, I took a recently-finished TR3B out for its second inaugural drive.
>
>
>
> The first inaugural drive went pretty well, but once the engine temp came up, the oil pressure fell like a stone – and here we are talking around 40psi at 3000rpm and almost nothing at (what was hot) idle. Adjusting the pressure with the screw on the oil filter head did nothing.
>
>
>
> I checked everything over, even pulled the oil pan and checked all the bearings (one main and 4 rods) – all perfect.  I really didn’t find anything, and the specs on the oil pump looked good, but I ordered a new pump as well as a new spring for the Purolator oil filter head (the valve itself is no longer obtainable).
>
>
>
> So today when I first took it out, the pressure was almost too high – around 90 at 3000 rpm.  But as soon as the engine warmed up, it again dropped to scary levels. No leaks, no oil in water or vice versa.
>
>
>
> I am running out of ideas here.  Could it be a bad oil filter head?  Anything else?
>
>
>
> Andrew Uprichard
>
> Jackson, Michigan
>
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
>
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
> ---------- Forwarded message ----------
> From: Mark J Bradakis <[email-masked]>
> To: [email-masked]
> Cc:
> Bcc:
> Date: Tue, 12 May 2020 17:44:56 -0600
> Subject: Re: [TR] fast idle problem
> Have you tried spraying carb cleaner around the carbs, the carb/manifold
> mating surface, the manifold/head joint?  Have you balanced the carbs?
> Are you sure it is not just the linkage hanging up somewhere?
>
> mjb.
>
>
>
>
>
>
> ---------- Forwarded message ----------
> From: Brian Kemp <[email-masked]>
> To: Bob Leaver <[email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Tue, 12 May 2020 17:33:27 -0700
> Subject: Re: [TR] fast idle problem
> Bob - You may want to see if you have someplace local that can ream the
> carbs for you.  One of these days I'll be taking mine to a local guy
> that rebuilds carbs out of his garage.  I have the parts from a TRF kit
> that I ordered before finding out you also needed the reamer.
>
> Brian
>
> On 5/12/2020 2:58 PM, Bob Leaver wrote:
> > I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't
> > get the idle below about 1500. I've tried all the screws and checked
> > all gaskets and nothing. The only possibility I can come up with is
> > air getting around the shafts. When rebuilding the cars I didn't
> > replace the shafts because I didn't have a reamer. Moss has a reamer
> > for $290.00. I looked on line and can't find a less expensive
> > replacement. The book states the size of the reamer is 5/16" +
> > 0.0105". What kind of measurement is this? Can you use a 5/16" reamer?
> > Does anyone have ideas how I can get the idle down? Does anyone know
> > of a cheaper reamer to use? Thanks, Bob
> > ** [email-masked] **
> >
> > Donate: http://www.team.net/donate.html
> > Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
> >
> > Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
>
> ---------- Forwarded message ----------
> From: DAVID MASSEY <[email-masked]>
> To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> Cc:
> Bcc:
> Date: Wed, 13 May 2020 00:34:33 +0000 (UTC)
> Subject: Re: [TR] fast idle problem
> Did you get the throttle plate centered?  If it is not centered it will hit the throat on one side while there is still a big gap on the other.
>
> Dave
>
>
>
> -----Original Message-----
> From: Bob Leaver <[email-masked]>
> To: [email-masked]
> Sent: Tue, May 12, 2020 4:58 pm
> Subject: [TR] fast idle problem
>
> I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't
> get the idle below about 1500. I've tried all the screws and checked
> all gaskets and nothing. The only possibility I can come up with is
> air getting around the shafts. When rebuilding the cars I didn't
> replace the shafts because I didn't have a reamer. Moss has a reamer
> for $290.00. I looked on line and can't find a less expensive
> replacement. The book states the size of the reamer is 5/16" +
> 0.0105". What kind of measurement is this? Can you use a 5/16" reamer?
> Does anyone have ideas how I can get the idle down? Does anyone know
> of a cheaper reamer to use? Thanks, Bob
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/triumphs http://www.team.net/archive
>
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
> ---------- Forwarded message ----------
> From: Jack McGahey <[email-masked]>
> To: Bob Leaver <[email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Tue, 12 May 2020 20:54:33 -0400
> Subject: Re: [TR] fast idle problem
> I doubt very seriously that your shaft bushings are leaking enough air to maintain a 1500 rpm idle  - the shafts would have to be REALLY loose in their bushings and you’d probably notice - probably the butterflies are not closing completely as the should be if you’ve backed the idle screws out all the way as your post implies you have - You can start by disconnecting the throttle linkage from the carbs - then, if the butterflies close and drop the idle to zero, you can work backwards to see what about the linkage is holding them open.
>
> If you need shafts and bushings anyway, I’d forget buying a reamer - Joe Curto will do all the machining and replace the bushings and shafts in both carbs for $150 plus shipping both ways.
>
> Cheers,
> Jack Mc
>
>
>
> Sent from my iPad
>
> > On May 12, 2020, at 6:27 PM, Bob Leaver <[email-masked]> wrote:
> >
> > I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't
> > get the idle below about 1500. I've tried all the screws and checked
> > all gaskets and nothing. The only possibility I can come up with is
> > air getting around the shafts. When rebuilding the cars I didn't
> > replace the shafts because I didn't have a reamer. Moss has a reamer
> > for $290.00. I looked on line and can't find a less expensive
> > replacement. The book states the size of the reamer is 5/16" +
> > 0.0105". What kind of measurement is this? Can you use a 5/16" reamer?
> > Does anyone have ideas how I can get the idle down? Does anyone know
> > of a cheaper reamer to use? Thanks, Bob
> > ** [email-masked] **
> >
> > Donate: http://www.team.net/donate.html
> > Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
> >
> > Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
>
> ---------- Forwarded message ----------
> From: Jack McGahey <[email-masked]>
> To: Bob Leaver <[email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Tue, 12 May 2020 20:54:33 -0400
> Subject: Re: [TR] fast idle problem
> I doubt very seriously that your shaft bushings are leaking enough air to maintain a 1500 rpm idle  - the shafts would have to be REALLY loose in their bushings and you’d probably notice - probably the butterflies are not closing completely as the should be if you’ve backed the idle screws out all the way as your post implies you have - You can start by disconnecting the throttle linkage from the carbs - then, if the butterflies close and drop the idle to zero, you can work backwards to see what about the linkage is holding them open.
>
> If you need shafts and bushings anyway, I’d forget buying a reamer - Joe Curto will do all the machining and replace the bushings and shafts in both carbs for $150 plus shipping both ways.
>
> Cheers,
> Jack Mc
>
>
>
> Sent from my iPad
>
> > On May 12, 2020, at 6:27 PM, Bob Leaver <[email-masked]> wrote:
> >
> > I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't
> > get the idle below about 1500. I've tried all the screws and checked
> > all gaskets and nothing. The only possibility I can come up with is
> > air getting around the shafts. When rebuilding the cars I didn't
> > replace the shafts because I didn't have a reamer. Moss has a reamer
> > for $290.00. I looked on line and can't find a less expensive
> > replacement. The book states the size of the reamer is 5/16" +
> > 0.0105". What kind of measurement is this? Can you use a 5/16" reamer?
> > Does anyone have ideas how I can get the idle down? Does anyone know
> > of a cheaper reamer to use? Thanks, Bob
> > ** [email-masked] **
> >
> > Donate: http://www.team.net/donate.html
> > Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
> >
> > Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
>
> ---------- Forwarded message ----------
> From: Jeff Scarbrough <[email-masked]>
> To: "Triumphs ([email-masked])" <[email-masked]>
> Cc:
> Bcc:
> Date: Tue, 12 May 2020 21:20:16 -0400
> Subject: Re: [TR] Ideas, anyone?
> Does the TR3B not have an oil pressure relief valve with associated spring?
>
> On Tue, May 12, 2020 at 6:27 PM andrew uprichard <[email-masked]> wrote:
>>
>> Having (I think) sorted out the problem with the TR4, I took a recently-finished TR3B out for its second inaugural drive.
>>
>>
>>
>> The first inaugural drive went pretty well, but once the engine temp came up, the oil pressure fell like a stone – and here we are talking around 40psi at 3000rpm and almost nothing at (what was hot) idle. Adjusting the pressure with the screw on the oil filter head did nothing.
>>
>>
>>
>> I checked everything over, even pulled the oil pan and checked all the bearings (one main and 4 rods) – all perfect.  I really didn’t find anything, and the specs on the oil pump looked good, but I ordered a new pump as well as a new spring for the Purolator oil filter head (the valve itself is no longer obtainable).
>>
>>
>>
>> So today when I first took it out, the pressure was almost too high – around 90 at 3000 rpm.  But as soon as the engine warmed up, it again dropped to scary levels. No leaks, no oil in water or vice versa.
>>
>>
>>
>> I am running out of ideas here.  Could it be a bad oil filter head?  Anything else?
>>
>>
>>
>> Andrew Uprichard
>>
>> Jackson, Michigan
>>
>> ** [email-masked] **
>>
>> Donate: http://www.team.net/donate.html
>> Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
>>
>> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
> ---------- Forwarded message ----------
> From: Michael Marr <[email-masked]>
> To: Bob Leaver <[email-masked]>, "[email-masked]" <[email-masked]>
> Cc:
> Bcc:
> Date: Wed, 13 May 2020 01:40:50 +0000
> Subject: Re: [TR] fast idle problem
> The Moss reamer cuts a hole that is 10 thousands (nominal) oversize, and requires you to use ten thousandths oversize throttle shafts.  The reamer has an extended pilot, so that, even when reaming by hand, the alignment between the holes on each side of the throttle body is maintained.  To that extent, it is a special reamer, which accounts for its price.  I found other piloted reamers, but they are chucking reamers and the pilot is quite short, so you would have to set the carb body up on a good drill press (or vertical mill, preferably) with the axis of the throttle bushing holes perfectly vertical.  The body would have to be clamped to an angle plate in some manner.  Such a reamer, of the right size, can be found here...
>
> https://www.panamericantool.com/high-speed-steel-reamers/high-speed-steel-piloted-chucking-reamers.html
>
> Part number 99-703 is what you would want.  But, unless you've done this kind of set-up before, I wouldn't recommend doing this.  I think sending the bodies out to have new oversized shafts fitted might be the most expedient thing.
>
> Mike
>
>
> Michael J Marr, P.E., CEng.
> Albion Technical Services
> W5918 Hackbarth Rd
> Fort Atkinson, WI 53538
>
> Cell:  630-202-0065
> Email:  [email-masked]
>
> -----Original Message-----
> From: Triumphs <[email-masked]> On Behalf Of Bob Leaver
> Sent: Tuesday, May 12, 2020 4:58 PM
> To: [email-masked]
> Subject: [TR] fast idle problem
>
> I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't get the idle below about 1500. I've tried all the screws and checked all gaskets and nothing. The only possibility I can come up with is air getting around the shafts. When rebuilding the cars I didn't replace the shafts because I didn't have a reamer. Moss has a reamer for $290.00. I looked on line and can't find a less expensive replacement. The book states the size of the reamer is 5/16" + 0.0105". What kind of measurement is this? Can you use a 5/16" reamer?
> Does anyone have ideas how I can get the idle down? Does anyone know of a cheaper reamer to use? Thanks, Bob
> ** [email-masked] **
>
> Donate: https://urldefense.proofpoint.com/v2/url?u=http-3A__www.team.net_donate.html&d=DwICAg&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=HL4LAX-jeuoWNeqz1u1ryqDHfrhQ38xO3ECYGpjCniQ&m=3JrDLbJKoSWVmzxR9yAqEY_Qj1O6UBBa9gaq3qfosU0&s=fcams_IcyTxT42KTTKzdgPpET42jYRovw8nyOkWYl1I&e=
> Archive: https://urldefense.proofpoint.com/v2/url?u=http-3A__www.team.net_pipermail_triumphs&d=DwICAg&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=HL4LAX-jeuoWNeqz1u1ryqDHfrhQ38xO3ECYGpjCniQ&m=3JrDLbJKoSWVmzxR9yAqEY_Qj1O6UBBa9gaq3qfosU0&s=tt8izdlC0lb0YIDeBxoLKz6KFf6pFO7PYqZED3LJLGI&e=  https://urldefense.proofpoint.com/v2/url?u=http-3A__www.team.net_archive&d=DwICAg&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=HL4LAX-jeuoWNeqz1u1ryqDHfrhQ38xO3ECYGpjCniQ&m=3JrDLbJKoSWVmzxR9yAqEY_Qj1O6UBBa9gaq3qfosU0&s=YzdZFWtTjhGEow2RCr23bxZPySU7oxypkclzKL3hl5s&e=
>
> Unsubscribe/Manage: https://urldefense.proofpoint.com/v2/url?u=http-3A__autox.team.net_mailman_options_triumphs_mmarr-40albiontechnical.com&d=DwICAg&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=HL4LAX-jeuoWNeqz1u1ryqDHfrhQ38xO3ECYGpjCniQ&m=3JrDLbJKoSWVmzxR9yAqEY_Qj1O6UBBa9gaq3qfosU0&s=n13_oCFuCopTUYc-K9K4IEfSbvoh9bLu26krBSX150U&e=
>
>
>
>
> ---------- Forwarded message ----------
> From: bill beecher <[email-masked]>
> To: Brian Kemp <[email-masked]>
> Cc: Bob Leaver <[email-masked]>, [email-masked]
> Bcc:
> Date: Tue, 12 May 2020 21:36:20 -0500
> Subject: Re: [TR] fast idle problem
> Save the grief at about the same cost, send off to Joe Curto for new bushes and shafts.  You will know it’s right, your TR will thank you.  NFI
>
>
> Serenity Now......
>
> On May 12, 2020, at 8:32 PM, Brian Kemp <[email-masked]> wrote:
>
> Bob - You may want to see if you have someplace local that can ream the carbs for you.  One of these days I'll be taking mine to a local guy that rebuilds carbs out of his garage.  I have the parts from a TRF kit that I ordered before finding out you also needed the reamer.
>
> Brian
>
> > On 5/12/2020 2:58 PM, Bob Leaver wrote:
> > I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't
> > get the idle below about 1500. I've tried all the screws and checked
> > all gaskets and nothing. The only possibility I can come up with is
> > air getting around the shafts. When rebuilding the cars I didn't
> > replace the shafts because I didn't have a reamer. Moss has a reamer
> > for $290.00. I looked on line and can't find a less expensive
> > replacement. The book states the size of the reamer is 5/16" +
> > 0.0105". What kind of measurement is this? Can you use a 5/16" reamer?
> > Does anyone have ideas how I can get the idle down? Does anyone know
> > of a cheaper reamer to use? Thanks, Bob
> > ** [email-masked] **
> >
> > Donate: http://www.team.net/donate.html
> > Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
> >
> > Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
>
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
>
> ---------- Forwarded message ----------
> From: bill beecher <[email-masked]>
> To: Brian Kemp <[email-masked]>
> Cc: Bob Leaver <[email-masked]>, [email-masked]
> Bcc:
> Date: Tue, 12 May 2020 21:36:20 -0500
> Subject: Re: [TR] fast idle problem
> Save the grief at about the same cost, send off to Joe Curto for new bushes and shafts.  You will know it’s right, your TR will thank you.  NFI
>
>
> Serenity Now......
>
> On May 12, 2020, at 8:32 PM, Brian Kemp <[email-masked]> wrote:
>
> Bob - You may want to see if you have someplace local that can ream the carbs for you.  One of these days I'll be taking mine to a local guy that rebuilds carbs out of his garage.  I have the parts from a TRF kit that I ordered before finding out you also needed the reamer.
>
> Brian
>
> > On 5/12/2020 2:58 PM, Bob Leaver wrote:
> > I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't
> > get the idle below about 1500. I've tried all the screws and checked
> > all gaskets and nothing. The only possibility I can come up with is
> > air getting around the shafts. When rebuilding the cars I didn't
> > replace the shafts because I didn't have a reamer. Moss has a reamer
> > for $290.00. I looked on line and can't find a less expensive
> > replacement. The book states the size of the reamer is 5/16" +
> > 0.0105". What kind of measurement is this? Can you use a 5/16" reamer?
> > Does anyone have ideas how I can get the idle down? Does anyone know
> > of a cheaper reamer to use? Thanks, Bob
> > ** [email-masked] **
> >
> > Donate: http://www.team.net/donate.html
> > Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
> >
> > Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
>
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
>
> ---------- Forwarded message ----------
> From: Greg Lemon <[email-masked]>
> To:
> Cc: "Triumphs ([email-masked])" <[email-masked]>
> Bcc:
> Date: Tue, 12 May 2020 21:44:45 -0500
> Subject: Re: [TR] Ideas, anyone?
>>
>> Did you do the rocker shaft and rocker arm bushings, have heard if extremely worn it can adversely affect oil pressure--also--easier than a full engine teardown.  Also, I know you said in spec, but try a different oil pump?
>
>
> Just some thoughts short of a full teardown--did you or someone plastiguage the bearings before install?
>
> Greg Lemon
> TR250
>
>
>
>
> ---------- Forwarded message ----------
> From: Don Hiscock <[email-masked]>
> To: Jeff Scarbrough <[email-masked]>
> Cc: "Triumphs ([email-masked])" <[email-masked]>
> Bcc:
> Date: Tue, 12 May 2020 21:47:30 -0500
> Subject: Re: [TR] Ideas, anyone?
> In general, yes the TR3B has the same pressure relief as any TR3A.
>
>
>
> On Tuesday, May 12, 2020, Jeff Scarbrough <[email-masked]> wrote:
>>
>> Does the TR3B not have an oil pressure relief valve with associated spring?
>>
>> On Tue, May 12, 2020 at 6:27 PM andrew uprichard <[email-masked]> wrote:
>>>
>>> Having (I think) sorted out the problem with the TR4, I took a recently-finished TR3B out for its second inaugural drive.
>>>
>>>
>>>
>>> The first inaugural drive went pretty well, but once the engine temp came up, the oil pressure fell like a stone – and here we are talking around 40psi at 3000rpm and almost nothing at (what was hot) idle. Adjusting the pressure with the screw on the oil filter head did nothing.
>>>
>>>
>>>
>>> I checked everything over, even pulled the oil pan and checked all the bearings (one main and 4 rods) – all perfect.  I really didn’t find anything, and the specs on the oil pump looked good, but I ordered a new pump as well as a new spring for the Purolator oil filter head (the valve itself is no longer obtainable).
>>>
>>>
>>>
>>> So today when I first took it out, the pressure was almost too high – around 90 at 3000 rpm.  But as soon as the engine warmed up, it again dropped to scary levels. No leaks, no oil in water or vice versa.
>>>
>>>
>>>
>>> I am running out of ideas here.  Could it be a bad oil filter head?  Anything else?
>>>
>>>
>>>
>>> Andrew Uprichard
>>>
>>> Jackson, Michigan
>>>
>>> ** [email-masked] **
>>>
>>> Donate: http://www.team.net/donate.html
>>> Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
>>>
>>> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
> ---------- Forwarded message ----------
> From: Cliff Hansen <[email-masked]>
> To: Michael Marr <[email-masked]>, Bob Leaver <[email-masked]>, "[email-masked]" <[email-masked]>
> Cc:
> Bcc:
> Date: Wed, 13 May 2020 03:54:06 +0000
> Subject: Re: [TR] fast idle problem
>
> Bob,
>
>
>
> Are you sure the linkage is allowing the butterflies to close completely?  That was the problem I had when I first put the rebuilt carbs back on my car.
>
>
>
> Cliff
>
>
>
>
>
> Sent from Mail for Windows 10
>
>
>
> From: Michael Marr
> Sent: Tuesday, May 12, 2020 9:03 PM
> To: Bob Leaver; [email-masked]
> Subject: Re: [TR] fast idle problem
>
>
>
> The Moss reamer cuts a hole that is 10 thousands (nominal) oversize, and requires you to use ten thousandths oversize throttle shafts.  The reamer has an extended pilot, so that, even when reaming by hand, the alignment between the holes on each side of the throttle body is maintained.  To that extent, it is a special reamer, which accounts for its price.  I found other piloted reamers, but they are chucking reamers and the pilot is quite short, so you would have to set the carb body up on a good drill press (or vertical mill, preferably) with the axis of the throttle bushing holes perfectly vertical.  The body would have to be clamped to an angle plate in some manner.  Such a reamer, of the right size, can be found here...
>
> https://www.panamericantool.com/high-speed-steel-reamers/high-speed-steel-piloted-chucking-reamers.html
>
> Part number 99-703 is what you would want.  But, unless you've done this kind of set-up before, I wouldn't recommend doing this.  I think sending the bodies out to have new oversized shafts fitted might be the most expedient thing.
>
> Mike
>
>
> Michael J Marr, P.E., CEng.
> Albion Technical Services
> W5918 Hackbarth Rd
> Fort Atkinson, WI 53538
>
> Cell:  630-202-0065
> Email:  [email-masked]
>
> -----Original Message-----
> From: Triumphs <[email-masked]> On Behalf Of Bob Leaver
> Sent: Tuesday, May 12, 2020 4:58 PM
> To: [email-masked]
> Subject: [TR] fast idle problem
>
> I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't get the idle below about 1500. I've tried all the screws and checked all gaskets and nothing. The only possibility I can come up with is air getting around the shafts. When rebuilding the cars I didn't replace the shafts because I didn't have a reamer. Moss has a reamer for $290.00. I looked on line and can't find a less expensive replacement. The book states the size of the reamer is 5/16" + 0.0105". What kind of measurement is this? Can you use a 5/16" reamer?
> Does anyone have ideas how I can get the idle down? Does anyone know of a cheaper reamer to use? Thanks, Bob
> ** [email-masked] **
>
> Donate: https://urldefense.proofpoint.com/v2/url?u=http-3A__www.team.net_donate.html&d=DwICAg&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=HL4LAX-jeuoWNeqz1u1ryqDHfrhQ38xO3ECYGpjCniQ&m=3JrDLbJKoSWVmzxR9yAqEY_Qj1O6UBBa9gaq3qfosU0&s=fcams_IcyTxT42KTTKzdgPpET42jYRovw8nyOkWYl1I&e=
> Archive: https://urldefense.proofpoint.com/v2/url?u=http-3A__www.team.net_pipermail_triumphs&d=DwICAg&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=HL4LAX-jeuoWNeqz1u1ryqDHfrhQ38xO3ECYGpjCniQ&m=3JrDLbJKoSWVmzxR9yAqEY_Qj1O6UBBa9gaq3qfosU0&s=tt8izdlC0lb0YIDeBxoLKz6KFf6pFO7PYqZED3LJLGI&e=  https://urldefense.proofpoint.com/v2/url?u=http-3A__www.team.net_archive&d=DwICAg&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=HL4LAX-jeuoWNeqz1u1ryqDHfrhQ38xO3ECYGpjCniQ&m=3JrDLbJKoSWVmzxR9yAqEY_Qj1O6UBBa9gaq3qfosU0&s=YzdZFWtTjhGEow2RCr23bxZPySU7oxypkclzKL3hl5s&e=
>
> Unsubscribe/Manage: https://urldefense.proofpoint.com/v2/url?u=http-3A__autox.team.net_mailman_options_triumphs_mmarr-40albiontechnical.com&d=DwICAg&c=euGZstcaTDllvimEN8b7jXrwqOf-v5A_CdpgnVfiiMM&r=HL4LAX-jeuoWNeqz1u1ryqDHfrhQ38xO3ECYGpjCniQ&m=3JrDLbJKoSWVmzxR9yAqEY_Qj1O6UBBa9gaq3qfosU0&s=n13_oCFuCopTUYc-K9K4IEfSbvoh9bLu26krBSX150U&e=
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
>
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
>
>
> ---------- Forwarded message ----------
> From: "Alex & Janet Thomson" <[email-masked]>
> To: "'andrew uprichard'" <[email-masked]>, <[email-masked]>
> Cc:
> Bcc:
> Date: Wed, 13 May 2020 05:57:50 -0400
> Subject: Re: [TR] Ideas, anyone?
>
> Was the crankshaft cut down by a previous owner for use with undersize bearing shells? I saw this happen in a Nuffield tractor once. Great oil pressure at startup but diminishing quickly as the oil thinned out.
>
>
>
> Alex Thomson
>
>
>
> From: Triumphs [mailto:[email-masked]] On Behalf Of andrew uprichard
> Sent: Tuesday, May 12, 2020 5:54 PM
> To: [email-masked]
> Subject: [TR] Ideas, anyone?
>
>
>
> Having (I think) sorted out the problem with the TR4, I took a recently-finished TR3B out for its second inaugural drive.
>
>
>
> The first inaugural drive went pretty well, but once the engine temp came up, the oil pressure fell like a stone – and here we are talking around 40psi at 3000rpm and almost nothing at (what was hot) idle. Adjusting the pressure with the screw on the oil filter head did nothing.
>
>
>
> I checked everything over, even pulled the oil pan and checked all the bearings (one main and 4 rods) – all perfect.  I really didn’t find anything, and the specs on the oil pump looked good, but I ordered a new pump as well as a new spring for the Purolator oil filter head (the valve itself is no longer obtainable).
>
>
>
> So today when I first took it out, the pressure was almost too high – around 90 at 3000 rpm.  But as soon as the engine warmed up, it again dropped to scary levels. No leaks, no oil in water or vice versa.
>
>
>
> I am running out of ideas here.  Could it be a bad oil filter head?  Anything else?
>
>
>
> Andrew Uprichard
>
> Jackson, Michigan
>
>
>
>
> ---------- Forwarded message ----------
> From: andrew uprichard <[email-masked]>
> To: "'Alex & Janet Thomson'" <[email-masked]>, <[email-masked]>
> Cc:
> Bcc:
> Date: Wed, 13 May 2020 07:34:33 -0400
> Subject: Re: [TR] Ideas, anyone?
>
> Thanks for al the suggestions.  Gauge is good, have tried a new oil pump.   I think the next step is to plastigauge the bearings and check the rocker shaft, as suggested.  Then I guess the engine will have to come out. Sigh…..
>
>
>
> From: Alex & Janet Thomson <[email-masked]>
> Sent: Wednesday, May 13, 2020 5:58 AM
> To: 'andrew uprichard' <[email-masked]>; [email-masked]
> Subject: RE: [TR] Ideas, anyone?
>
>
>
> Was the crankshaft cut down by a previous owner for use with undersize bearing shells? I saw this happen in a Nuffield tractor once. Great oil pressure at startup but diminishing quickly as the oil thinned out.
>
>
>
> Alex Thomson
>
>
>
> From: Triumphs [mailto:[email-masked]] On Behalf Of andrew uprichard
> Sent: Tuesday, May 12, 2020 5:54 PM
> To: [email-masked]
> Subject: [TR] Ideas, anyone?
>
>
>
> Having (I think) sorted out the problem with the TR4, I took a recently-finished TR3B out for its second inaugural drive.
>
>
>
> The first inaugural drive went pretty well, but once the engine temp came up, the oil pressure fell like a stone – and here we are talking around 40psi at 3000rpm and almost nothing at (what was hot) idle. Adjusting the pressure with the screw on the oil filter head did nothing.
>
>
>
> I checked everything over, even pulled the oil pan and checked all the bearings (one main and 4 rods) – all perfect.  I really didn’t find anything, and the specs on the oil pump looked good, but I ordered a new pump as well as a new spring for the Purolator oil filter head (the valve itself is no longer obtainable).
>
>
>
> So today when I first took it out, the pressure was almost too high – around 90 at 3000 rpm.  But as soon as the engine warmed up, it again dropped to scary levels. No leaks, no oil in water or vice versa.
>
>
>
> I am running out of ideas here.  Could it be a bad oil filter head?  Anything else?
>
>
>
> Andrew Uprichard
>
> Jackson, Michigan
>
>
>
>
> ---------- Forwarded message ----------
> From: EDWARD WOODS <[email-masked]>
> To: Bob Leaver <[email-masked]>, [email-masked]
> Cc:
> Bcc:
> Date: Wed, 13 May 2020 09:41:14 -0400 (EDT)
> Subject: Re: [TR] fast idle problem
> Bob,
>
> Check the orientation of the throttle plate tapers as well as their centering. If the idle was adjustable, even roughly, prior to rebuilding, something's occurred during the rebuild to screw it up. Not the throttle shaft fitment.
>
> TR4A throttle shaft openings are bushed, so they should never have to be oversized. Just replace the bushings and fit standard diameter throttle shafts. If you can't find a local machine shop to do the work, send them to Joe Curto.
>
> Ed Woods
>
>
> On May 12, 2020 at 5:58 PM Bob Leaver < [email-masked]> wrote:
>
>
> I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't
> get the idle below about 1500. I've tried all the screws and checked
> all gaskets and nothing. The only possibility I can come up with is
> air getting around the shafts. When rebuilding the cars I didn't
> replace the shafts because I didn't have a reamer. Moss has a reamer
> for $290.00. I looked on line and can't find a less expensive
> replacement. The book states the size of the reamer is 5/16" +
> 0.0105". What kind of measurement is this? Can you use a 5/16" reamer?
> Does anyone have ideas how I can get the idle down? Does anyone know
> of a cheaper reamer to use? Thanks, Bob
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/triumphs http://www.team.net/archive
>
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
> ---------- Forwarded message ----------
> From: TERRY SMITH <[email-masked]>
> To: andrew uprichard <[email-masked]>, "Alex & Janet Thomson" <[email-masked]>, [email-masked]
> Cc:
> Bcc:
> Date: Wed, 13 May 2020 09:49:59 -0400 (EDT)
> Subject: Re: [TR] Ideas, anyone?
> I've never heard of such a thing, but could the oil itself be the culprit?  Maybe a too thin variety got into a wrong bottle?  Or maybe just a bad batch?
>
> On May 13, 2020 at 7:34 AM andrew uprichard <[email-masked]> wrote:
>
> Thanks for al the suggestions.  Gauge is good, have tried a new oil pump.   I think the next step is to plastigauge the bearings and check the rocker shaft, as suggested.  Then I guess the engine will have to come out. Sigh…..
>
>
>
> From: Alex & Janet Thomson <[email-masked]>
> Sent: Wednesday, May 13, 2020 5:58 AM
> To: 'andrew uprichard' <[email-masked]>; [email-masked]
> Subject: RE: [TR] Ideas, anyone?
>
>
>
> Was the crankshaft cut down by a previous owner for use with undersize bearing shells? I saw this happen in a Nuffield tractor once. Great oil pressure at startup but diminishing quickly as the oil thinned out.
>
>
>
> Alex Thomson
>
>
>
> From: Triumphs [mailto:[email-masked]] On Behalf Of andrew uprichard
> Sent: Tuesday, May 12, 2020 5:54 PM
> To: [email-masked]
> Subject: [TR] Ideas, anyone?
>
>
>
> Having (I think) sorted out the problem with the TR4, I took a recently-finished TR3B out for its second inaugural drive.
>
>
>
> The first inaugural drive went pretty well, but once the engine temp came up, the oil pressure fell like a stone – and here we are talking around 40psi at 3000rpm and almost nothing at (what was hot) idle. Adjusting the pressure with the screw on the oil filter head did nothing.
>
>
>
> I checked everything over, even pulled the oil pan and checked all the bearings (one main and 4 rods) – all perfect.  I really didn’t find anything, and the specs on the oil pump looked good, but I ordered a new pump as well as a new spring for the Purolator oil filter head (the valve itself is no longer obtainable).
>
>
>
> So today when I first took it out, the pressure was almost too high – around 90 at 3000 rpm.  But as soon as the engine warmed up, it again dropped to scary levels. No leaks, no oil in water or vice versa.
>
>
>
> I am running out of ideas here.  Could it be a bad oil filter head?  Anything else?
>
>
>
> Andrew Uprichard
>
> Jackson, Michigan
>
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/triumphs http://www.team.net/archive
>
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
>
>
> ---------- Forwarded message ----------
> From: TERRY SMITH <[email-masked]>
> To: [email-masked]
> Cc:
> Bcc:
> Date: Wed, 13 May 2020 10:33:36 -0400 (EDT)
> Subject: Re: [TR] fast idle problem
> Would forgetting to hook up the vacuum advance be a possibility?
>
> On May 13, 2020 at 9:41 AM EDWARD WOODS <[email-masked]> wrote:
>
> Bob,
>
> Check the orientation of the throttle plate tapers as well as their centering. If the idle was adjustable, even roughly, prior to rebuilding, something's occurred during the rebuild to screw it up. Not the throttle shaft fitment.
>
> TR4A throttle shaft openings are bushed, so they should never have to be oversized. Just replace the bushings and fit standard diameter throttle shafts. If you can't find a local machine shop to do the work, send them to Joe Curto.
>
> Ed Woods
>
>
> On May 12, 2020 at 5:58 PM Bob Leaver < [email-masked]> wrote:
>
>
> I have a 1965 Triumph TR4a that I rebuilt the SU carbs and now I can't
> get the idle below about 1500. I've tried all the screws and checked
> all gaskets and nothing. The only possibility I can come up with is
> air getting around the shafts. When rebuilding the cars I didn't
> replace the shafts because I didn't have a reamer. Moss has a reamer
> for $290.00. I looked on line and can't find a less expensive
> replacement. The book states the size of the reamer is 5/16" +
> 0.0105". What kind of measurement is this? Can you use a 5/16" reamer?
> Does anyone have ideas how I can get the idle down? Does anyone know
> of a cheaper reamer to use? Thanks, Bob
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/triumphs http://www.team.net/archive
>
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
> ** [email-masked] ** Donate: http://www.team.net/donate.html Archive: http://www.team.net/pipermail/triumphs http://www.team.net/archive Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>
>
>
>
>
> ---------- Forwarded message ----------
> From: andrew uprichard <[email-masked]>
> To: <[email-masked]>
> Cc:
> Bcc:
> Date: Wed, 13 May 2020 13:11:42 -0400
> Subject: [TR] Randall Young (TR3 driver)
>
> I have gone back and forth about posting this, but Randall is a friend of all of us, and I don’t think he would mind me sharing.
>
>
>
> Last week I left a couple of vm messages, saying we were worried about him. This morning when I got up, I saw he had called and left a message at 3am EDT.
>
>
>
> The message was very garbled and disjointed but he said he was in a hospital and I heard other voices in the background, one of whom was saying “I’m your nurse, remember?”
>
>
>
> It was definitely Randall and I have no reason to believe the call was not genuine. If he is in hospital, I don’t know why (but I can guess).
>
>
>
> I did try to call back, but didn’t get through. I left him a message saying I was sorry to hear he was in hospital but that there were a lot of people who would be rooting for him.  Please keep him in your thoughts and prayers.
>
>
>
> Andrew
>
>
>
>
>
>
>
>
>
>
>
>
>
> _______________________________________________
>
> Triumphs mailing list
> [email-masked]
> http://autox.team.net/mailman/listinfo/triumphs
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]